PHP Manual
Prev |  | Next

# ps_setcolor

(PECL)

ps_setcolor -- Sets current color

## Description

bool ps_setcolor ( resource psdoc, string type, string colorspace, float c1, float c2, float c3, float c4 )

Sets the color for drawing, filling, or both.

## Parameters

psdoc

type

  The parameter type can be both, fill, or fillstroke.

colorspace

  The colorspace should be one of gray, rgb, cmyk, spot, pattern. Depending on the colorspace either only the first, the first three or all parameters will be used.

c1

c2

c3

c4

## Bugs

The second parameter is currently not always evaluated. The color is sometimes set for filling and drawing just as if fillstroke were passed.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
ps_set_value | Up | ps_setdash